Subject: [alpine-aports] [PATCH] testing/libnftnl: new aport

From: Sören Tempel <[email-masked]>
Date: Mon, 7 Sep 2015 23:32:25 +0200

---
 testing/libnftnl/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/libnftnl/APKBUILD

diff --git a/testing/libnftnl/APKBUILD b/testing/libnftnl/APKBUILD
new file mode 100644
index 0000000..6d0af6c
--- /dev/null
+++ b/testing/libnftnl/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Sören Tempel <[email-masked]>
+# Maintainer:
+pkgname=libnftnl
+pkgver=1.0.3
+pkgrel=0
+pkgdesc="Netfilter library providing interface to the nf_tables subsystem"
+url="http://netfilter.org/projects/libnftnl/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev="libmnl-dev"
+makedepends="$depends_dev bash"
+install=""
+subpackages="$pkgname-dev $pkgname-libs"
+source="http://netfilter.org/projects/$pkgname/files/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	update_config_sub || return 1
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="203701a73cc3c51ca751d7cb2e176250  libnftnl-1.0.3.tar.bz2"
+sha256sums="cf0ae7eab6a6866192a1fbd6b370a8a2cbe2066fe3975ab44939fd50747c27f7  libnftnl-1.0.3.tar.bz2"
+sha512sums="6fba3f3a0c3d98e0c3200edbd45910e326f0864383dc695fa77580d47d3fe541c50518f62d2dbfc50b2378b9b311aec28b3321ef18f59a321e0a3f0817952181  libnftnl-1.0.3.tar.bz2"
-- 
2.5.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Sören Tempel <[email-masked]>
Date: Mon, 7 Sep 2015 23:54:24 +0200

---

index 0000000..6390d09
+# Maintainer: Sören Tempel <[email-masked]>

---